# SpaceUserPreferences(Space)

base classes — `bpy_struct`, `Space`

class `bpy.types.``SpaceUserPreferences`(Space)

  User preferences space data

  `filter_text`

    Search term for filtering in the UI

    Type: | string, default “”, (never None)

  `filter_type`

    Filter method

    - `NAME` Name, Filter based on the operator name.
    - `KEY` Key-Binding, Filter based on key bindings.

    Type: | enum in [‘NAME’, ‘KEY’], default ‘NAME’

  `draw_handler_add`()

    Undocumented

  `draw_handler_remove`()

    Undocumented

Inherited Properties

`bpy_struct.id_data` `Space.type` | `Space.show_locked_time`

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`